org.apache.ignite.internal.managers.encryption

## Class GroupKeyEncrypted

- java.lang.Object
- - org.apache.ignite.internal.managers.encryption.GroupKeyEncrypted

All Implemented Interfaces:
  Serializable

    public class GroupKeyEncrypted
    extends Object
    implements Serializable

Cache group encryption key with identifier. Key is encrypted.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GroupKeyEncrypted(int id, byte[] key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `id()`
`byte[]` `key()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupKeyEncrypted

    public GroupKeyEncrypted(int id,
                             byte[] key)

Parameters:
  `id` - Encryption key ID.
  `key` - Encryption key.

### Method Detail

#### id

    public int id()

Returns:
  Encryption key ID.

#### key

    public byte[] key()

Returns:
  Encryption key.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023